# VIDU Q2 Turbo Multi-frame to Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-vidu-q2-turbo-multiframe

# VIDU Q2 Turbo Multi-frame to Video

POST

/

v3

/

async

/

vidu-q2-turbo-multiframe

VIDU Q2 Turbo Multi-frame to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe \
--header 'Authorization: ' \
--header 'Content-Type: ' \
--data '
{
"wm_url": "",
"payload": "",
"meta_data": "",
"watermark": true,
"resolution": "",
"start_image": "",
"wm_position": "",
"image_settings": [
{
"prompt": "",
"duration": 123,
"key_image": ""
}
]
}
'
```

```
import requests

url = "https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe"

payload = {
"wm_url": "",
"payload": "",
"meta_data": "",
"watermark": True,
"resolution": "",
"start_image": "",
"wm_position": "",
"image_settings": [
{
"prompt": "",
"duration": 123,
"key_image": ""
}
]
}
headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'POST',
headers: {'Content-Type': '', Authorization: ''},
body: JSON.stringify({
wm_url: '',
payload: '',
meta_data: '',
watermark: true,
resolution: '',
start_image: '',
wm_position: '',
image_settings: [{prompt: '', duration: 123, key_image: ''}]
})
};

fetch('https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wm_url' => '',
'payload' => '',
'meta_data' => '',
'watermark' => true,
'resolution' => '',
'start_image' => '',
'wm_position' => '',
'image_settings' => [
[
'prompt' => '',
'duration' => 123,
'key_image' => ''
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe"

payload := strings.NewReader("{\n \"wm_url\": \"\",\n \"payload\": \"\",\n \"meta_data\": \"\",\n \"watermark\": true,\n \"resolution\": \"\",\n \"start_image\": \"\",\n \"wm_position\": \"\",\n \"image_settings\": [\n {\n \"prompt\": \"\",\n \"duration\": 123,\n \"key_image\": \"\"\n }\n ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.post("https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe")
.header("Content-Type", "")
.header("Authorization", "")
.body("{\n \"wm_url\": \"\",\n \"payload\": \"\",\n \"meta_data\": \"\",\n \"watermark\": true,\n \"resolution\": \"\",\n \"start_image\": \"\",\n \"wm_position\": \"\",\n \"image_settings\": [\n {\n \"prompt\": \"\",\n \"duration\": 123,\n \"key_image\": \"\"\n }\n ]\n}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/v3/async/vidu-q2-turbo-multiframe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''
request.body = "{\n \"wm_url\": \"\",\n \"payload\": \"\",\n \"meta_data\": \"\",\n \"watermark\": true,\n \"resolution\": \"\",\n \"start_image\": \"\",\n \"wm_position\": \"\",\n \"image_settings\": [\n {\n \"prompt\": \"\",\n \"duration\": 123,\n \"key_image\": \"\"\n }\n ]\n}"

response = http.request(request)
puts response.read_body
```

200

```
{
"task_id": ""
}
```

VIDU Q2 Turbo multi-frame to video API, Turbo version balances generation speed and video quality. Quickly generates coherent video content from multiple keyframe images.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-wm-url)

wm_url

string

Watermark image URL. Uses default watermark if enabled but not provided. Ignored if watermark is false.

[​](#param-payload)

payload

string

Pass-through parameter. No processing, only data transmission. Maximum 1048576 characters.

[​](#param-meta-data)

meta_data

string

Metadata identifier in JSON format string. Transparent field.

[​](#param-watermark)

watermark

boolean

default:false

Whether to add watermark. true: add watermark; false: no watermark. Default is no watermark.

[​](#param-resolution)

resolution

string

default:"720p"

Video resolution. Default is 720p.Optional values: `540p`, `720p`, `1080p`

[​](#param-start-image)

start_image

string

required

First frame image. Supports Base64 encoding or image URL. Only 1 image supported. Supports png, jpeg, jpg, webp formats. Image ratio should be less than 1:4 or 4:1. Maximum size 50 MB.

[​](#param-wm-position)

wm_position

string

default:"bottom_left"

Watermark position. Default is bottom_left. Ignored if watermark is false.Optional values: `top_left`, `top_right`, `bottom_right`, `bottom_left`

[​](#param-image-settings)

image_settings

object[]

required

Keyframe configuration array, minimum 2 keyframes, maximum 9 keyframesArray length: 2 - 9

Hide properties

[​](#param-prompt)

prompt

string

Prompt for continuing from the previous image, used to control the generated video content.

[​](#param-duration)

duration

integer

default:5

Duration between keyframes in seconds. Default is 5s. Valid range: 2-7 seconds.Value range: [2, 7]

[​](#param-key-image)

key_image

string

required

Intermediate frame reference image. Model uses this as the end frame to generate video. Supports Base64 encoding or image URL. Only 1 image supported. Input order is timeline order (from start to end). Supports png, jpeg, jpg, webp formats. Image ratio should be less than 1:4 or 4:1. Maximum size 50 MB.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on July 3, 2026
